RK-A - Bug #1506

Analyse & Discard single-word KPs with "ADV" POS tag
08/18/2021 02:53 PM - Anonymous

Status: Closed Start date: 08/18/2021
Priority: High Due date:

Assignee: Rohit Choudhary % Done: 100%
Category: Estimated time: 2.50 hours
Target version: Spent time: 0.00 hour
Description

In annotated "Python Whirlwind Tour.ixt", we have seen some terrible looking tagged keyphrases such as: generally, functionally,
etc.

We need to make changes in the BR3_IR3_tagger.py to make sure such KPs are eliminated using their POS tag value. Test your
changes with the following datasets:

1. Python Whirlwind Tour.txt

2. Python Tutorial.txt

3. Python 3 - Library Reference.txt

In case elimination of some of the keyphrases is undesirable, find a common word threshold that might help us save them from
getting discarded.

For running "Python 3 - Library Reference.txt", you can use master_cands_0.pkl from this link -
https://drive.google.com/file/d/1QdZvcVPnPHRAX{KRwscs8PWBJGskRYcF/view?usp=sharing

History

#1 - 08/19/2021 06:50 AM - Anonymous

https:// v-240612. .com/ ment/python-whirlwind-tour/m?
2-basic-python-syntax-Semicolon-Can-Optionally-Terminate-a-Statement-12.html

#2 - 08/24/2021 07:00 AM - Anonymous
- % Done changed from 0 to 100

#3 - 10/20/2021 07:01 AM - Rohit Choudhary

- Status changed from New to Resolved

#4 - 10/20/2021 08:34 AM - Anonymous

- Status changed from Resolved to Closed
